MutableTreeNode (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.tree
Interface MutableTreeNode

All Superinterfaces:
  TreeNode

All Known Implementing Classes:
  DefaultMutableTreeNode

public interface MutableTreeNode
extends TreeNode

Defines the requirements for a tree node object that can change -- by adding or removing child nodes, or by changing the contents of a user object stored in the node.

See Also:
  `DefaultMutableTreeNode`, `JTree`

Method Summary
`void` | `insert(MutableTreeNode child, int index)` Adds `child` to the receiver at `index`.
`void` | `remove(int index)` Removes the child at `index` from the receiver.
`void` | `remove(MutableTreeNode node)` Removes `node` from the receiver.
`void` | `removeFromParent()` Removes the receiver from its parent.
`void` | `setParent(MutableTreeNode newParent)` Sets the parent of the receiver to `newParent`.
`void` | `setUserObject(Object object)` Resets the user object of the receiver to `object`.

Methods inherited from interface javax.swing.tree.TreeNode
`children, getAllowsChildren, getChildAt, getChildCount, getIndex, getParent, isLeaf`

Method Detail

### insert

    public void insert(MutableTreeNode child,
                       int index)

  Adds `child` to the receiver at `index`. `child` will be messaged with `setParent`.

### remove

    public void remove(int index)

  Removes the child at `index` from the receiver.

### remove

    public void remove(MutableTreeNode node)

  Removes `node` from the receiver. `setParent` will be messaged on `node`.

### setUserObject

    public void setUserObject(Object object)

  Resets the user object of the receiver to `object`.

### removeFromParent

    public void removeFromParent()

  Removes the receiver from its parent.

### setParent

    public void setParent(MutableTreeNode newParent)

  Sets the parent of the receiver to `newParent`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.